# Codeception Test Suite Configuration
#
# Suite for acceptance tests.
# Perform tests in browser using the WebDriver or PhpBrowser.
# If you need both WebDriver and PHPBrowser tests - create a separate suite.

class_name: AcceptanceTester
modules:
    enabled:
        - WebDriver
        - \Helper\Acceptance
        - Filesystem
    config:
                WebDriver:
                          #url: https://cyberft-ci.cyberplat.com
                          url: https://192.168.6.38:447
                          browser: 'firefox'
                          wait: 5
                          window_size: maximize
                          host: 192.168.60.112
                          #host: 192.168.6.38
                          port: 32773
                          clear_cookies: true
                          restart: true
                          request_timeout: 60
                          pageload_timeout: 60
                          capabilities:
                                      'acceptInsecureCerts': true
                                      'acceptSslCerts': true
                                      'timeouts':
                                                   'implicit': 0.0
                                                   'pageLoad': 900000.0
                                                   'script': 900000.0



env:
    chrome:
         modules:
            config:
                WebDriver:
                          url: https://cyberft-ci.cyberplat.com
                          browser: 'chrome'
                          #url: https://192.168.6.38
                          wait: 3
                          host: 192.168.60.112
                          #host: 192.168.6.38
                          port: 32773
                          clear_cookies: true
                          restart: true
                          request_timeout: 5
                          pageload_timeout: 5
                          capabilities:
                            'acceptInsecureCerts': true
                            'acceptSslCerts': true
                            'timeouts':
                              'implicit': 0.0
                              'pageLoad': 900000.0
                              'script': 900000.0

    firefox:
         modules:
            config:
                WebDriver:
                          url: https://cyberft-ci.cyberplat.com
                          browser: 'firefox'
                          #url: https://192.168.6.38
                          wait: 3
                          window_size: maximize
                          host: 192.168.60.112
                          #host: 192.168.6.38
                          port: 32773
                          clear_cookies: true
                          restart: true
                          request_timeout: 5
                          pageload_timeout: 5
                          capabilities:
                                      'acceptInsecureCerts': true
                                      'acceptSslCerts': true
                                      'timeouts':
                                                   'implicit': 0.0
                                                   'pageLoad': 900000.0
                                                   'script': 900000.0
